com.fasterxml.jackson.core.util

## Interface BufferRecycler.Gettable

All Known Implementing Classes:
  ByteArrayBuilder, SegmentedStringWriter

Enclosing class:
  BufferRecycler

    public static interface BufferRecycler.Gettable

Tag-on interface to allow various other types to expose `BufferRecycler` they are constructed with.

Since:
  2.17

### Method Summary

All Methods Instance Methods Abstract Methods
`BufferRecycler` `bufferRecycler()`

### Method Detail

#### bufferRecycler

    BufferRecycler bufferRecycler()

Returns:
  Buffer recycler instance object is configured with, if any; whether this can be `null` depends on type of object